Package ru.bitel.bgbilling.modules.drweb.server.bean

# Class AgentAVDManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.common.dao.AbstractDao<AgentAVD>
ru.bitel.bgbilling.common.dao.AbstractIdDao<AgentAVD>
ru.bitel.bgbilling.modules.drweb.server.bean.AgentAVDManager

public class AgentAVDManager extends ru.bitel.bgbilling.common.dao.AbstractIdDao<AgentAVD>

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `orderByPattern`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AgentAVDManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkAgents()`
  `int`
  `getActualAgentCount(int contractId)`
  `int`
  `getAgentCount(int contractId)`
  `protected AgentAVD`
  `getFromRS(ResultSet rs)`
  `List<AgentAVD>`
  `getListAll()`
  `List<AgentAVD>`
  `getListByDate(Date date)`
  Список агентов не продленных на дату
  `List<AgentAVD>`
  `getListById(int contractId)`
  `List<AgentAVD>`
  `getListById(int contractId, Calendar date)`
  `List<AgentAVD>`
  `getListLockAgent()`
  `List<AgentAVD>`
  `getListWithNextStatus(int nextStatus)`
  `List<AgentAVD>`
  `getListWithStatus(int status, Calendar date)`
  `protected void`
  `updateImpl(AgentAVD agent)`
  `void`
  `updateNotLog(AgentAVD agent)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractIdDao

  `delete, executeUpdate, get, getAndDelete, getAndUpdate, opt, prepareStatement, sqlCommand, sqlCommandAndTable, sqlQuery, sqlWhereId`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstractDao

  `delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, list, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, psSetPeriod, queryPeriod, setStatementParam, update`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AgentAVDManager

    public AgentAVDManager(Connection con, int moduleId)

- ## Method Details

  - ### getFromRS

    protected AgentAVD getFromRS(ResultSet rs) throws SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.bgbilling.common.dao.AbstractDao<AgentAVD>`
    Throws:
      `SQLException`

  - ### updateNotLog

    public void updateNotLog(AgentAVD agent) throws SQLException
    Throws:
      `SQLException`

  - ### updateImpl

    protected void updateImpl(AgentAVD agent) throws SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.bgbilling.common.dao.AbstractDao<AgentAVD>`
    Throws:
      `SQLException`

  - ### getListById

    public List<AgentAVD> getListById(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getListLockAgent

    public List<AgentAVD> getListLockAgent() throws SQLException
    Throws:
      `SQLException`

  - ### getListWithNextStatus

    public List<AgentAVD> getListWithNextStatus(int nextStatus) throws SQLException
    Throws:
      `SQLException`

  - ### getListByDate

    public List<AgentAVD> getListByDate(Date date) throws SQLException
    Список агентов не продленных на дату
    Parameters:
      `date` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getListAll

    public List<AgentAVD> getListAll() throws SQLException
    Throws:
      `SQLException`

  - ### getAgentCount

    public int getAgentCount(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### getActualAgentCount

    public int getActualAgentCount(int contractId) throws SQLException
    Throws:
      `SQLException`

  - ### checkAgents

    public void checkAgents() throws SQLException
    Throws:
      `SQLException`

  - ### getListWithStatus

    public List<AgentAVD> getListWithStatus(int status, Calendar date) throws SQLException
    Throws:
      `SQLException`

  - ### getListById

    public List<AgentAVD> getListById(int contractId, Calendar date) throws SQLException
    Throws:
      `SQLException`